Linux 安装mysql

使用 yum 安装源码包(必须有网络)

1、输入如下安装命令,安装过程中输入 y

yum install mysql-server -y

2、查看mysql 服务,并设置开机启动

chkconfig --list | grep mysql
chkconfig mysqld on

3、开启 mysql 服务,下面两条命令都可以

# /etc/init.d/mysqld start     
# service mysqld start

  输入以下命令查看当前数据库名(注意语句后面要加上分号“;”)

show databases;

4、设置登录密码,并赋予权限

grant all on *.* to root@'%' identified by 'youpassword';

  刷新,使得密码生效(或者重启mysql服务)

flush privileges;

  删除别的登录信息,必须使用前面设置的密码登录

  第一步:使用数据库名称为 mysql 的库

use mysql;

  第二步:查询 mysql 下面的表

show tables;

  第三步:查询 mysql 数据库下面的 user 表

select host,user from user;

  上面的 % 即是我们刚刚设置的密码登录,现在删除掉其余的登录信息

delete from user where host !='%';

  如果设置完成后想修改密码:

update user set password=password("new password") where user='root';

5、退出重新登录

exit;
mysql -u root -p

  如果不输入密码,直接输入 mysql 登录,会报错

  输入密码登录:

本文参与腾讯云自媒体分享计划,欢迎正在阅读的你也加入,一起分享。

发表于

我来说两句

1 条评论
登录 后参与评论

相关文章

来自专栏不想当开发的产品不是好测试

git 简易使用说明

背景 代码用git管理,所以需要大家熟悉git工具的一些操作 目前我们自动化在develop分支上进行编写 前言 安装git,https://git-scm.c...

1915
来自专栏实战docker

Docker下dubbo开发,三部曲之一:极速体验

DUBBO是一个分布式服务框架,从本章开始,我们由浅入深,先体验再实战,逐步入门dubbo服务的开发、部署和调用,本章的目标是以最快的速度体验dubbo服务; ...

2277
来自专栏西安-晁州

Docker学习之Docker容器基本使用

Docker学习之Docker容器基本使用 新建容器并启动 命令格式:docker run --options repository:tag 后台运行 命令格式...

3238
来自专栏dalaoyang

SpringBoot的第一个web项目

这一节主要是讲springboot搭建简单的web项目。 首先pom文件新增spring-boot-starter-web依赖,pom文件如下所示 <?xml ...

2617
来自专栏我的博客

Ubuntu安装Samba

场景: a用户可以共享/data/share/a和/data/share/a/c; b用户可以共享/data/share/b; c用户可以共享/data/...

3284
来自专栏瓜大三哥

matlab GUI基础6

高级文件I/O——表单文件 函数说明xlsread读取EXcel表单文件xlsfinfo获取Excel表单文件的信息xlswrite将数据写入Excel表单文件...

2216
来自专栏Jack-Cui

Ubuntu12.04下配置Eclipse+PyDev

开发平台:Ubuntu12.04 IDE:Eclipse3.7.2 python版本:python3.4.4     搭建Eclipse+PyDev的开发环境,...

1860
来自专栏运维前线

Jenkins admin 密码忘记解决

一、admin密码未更改情况 1.进入\Jenkins\secrets目录,打开initialAdminPassword文件,复制密码; find / -nam...

18310
来自专栏后端之路

Jenkins迁移导致的脚本无法运行

背景 由于某些不可描述的原因我们jenkins服务器需要放到公网 以前脚本的运行环境发生了变化! ? 分析 我们在系统迁移中忽略了脚本的运行环境! python...

2409
来自专栏Java技术栈

Maven精选系列--eclipse各种操作

在eclipse中配置maven的安装目录,使用最新的maven插件,从安装列表中可以看到eclipse自带绑定的是3.3.9,不是最新的,我们勾选自己的最新的...

33910

扫码关注云+社区